# WOK
TKWOK
WOKTools

# WOKTools_IndexedMapOfHAsciiString Class Reference

`#include <WOKTools_IndexedMapOfHAsciiString.hxx>`

Inheritance diagram for WOKTools_IndexedMapOfHAsciiString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKTools_IndexedMapOfHAsciiString (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKTools_IndexedMapOfHAsciiString & | Assign (const WOKTools_IndexedMapOfHAsciiString &Other)
WOKTools_IndexedMapOfHAsciiString & | operator= (const WOKTools_IndexedMapOfHAsciiString &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKTools_IndexedMapOfHAsciiString ()
Standard_EXPORT Standard_Integer | Add (const Handle(TCollection_HAsciiString)&K)
Standard_EXPORT void | Substitute (const Standard_Integer I, const Handle(TCollection_HAsciiString)&K)
Standard_EXPORT void | RemoveLast ()
Standard_EXPORT Standard_Boolean | Contains (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT const Handle_TCollection_HAsciiString & | FindKey (const Standard_Integer I) const
const Handle_TCollection_HAsciiString & | operator() (const Standard_Integer I) const
Standard_EXPORT Standard_Integer | FindIndex (const Handle(TCollection_HAsciiString)&K) const

## Private Member Functions

Standard_EXPORT | WOKTools_IndexedMapOfHAsciiString (const WOKTools_IndexedMapOfHAsciiString &Other)
Standard_EXPORT Standard_Address | FindNodeFromIndex (const Standard_Integer I) const
Standard_EXPORT Standard_Address | FindNodeFromKey (const Handle(TCollection_HAsciiString)&K) const

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_IndexedMapOfHAsciiString::WOKTools_IndexedMapOfHAsciiString | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKTools_IndexedMapOfHAsciiString::~WOKTools_IndexedMapOfHAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT WOKTools_IndexedMapOfHAsciiString::WOKTools_IndexedMapOfHAsciiString | ( | const WOKTools_IndexedMapOfHAsciiString & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKTools_IndexedMapOfHAsciiString::Add | ( | const Handle(TCollection_HAsciiString)& | K | ) |

Standard_EXPORT WOKTools_IndexedMapOfHAsciiString& WOKTools_IndexedMapOfHAsciiString::Assign | ( | const WOKTools_IndexedMapOfHAsciiString & | Other | ) |

Standard_EXPORT void WOKTools_IndexedMapOfHAsciiString::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean WOKTools_IndexedMapOfHAsciiString::Contains | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

Standard_EXPORT Standard_Integer WOKTools_IndexedMapOfHAsciiString::FindIndex | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKTools_IndexedMapOfHAsciiString::FindKey | ( | const Standard_Integer | I | ) | const

Standard_EXPORT Standard_Address WOKTools_IndexedMapOfHAsciiString::FindNodeFromIndex | ( | const Standard_Integer | I | ) | const`[private]`

Standard_EXPORT Standard_Address WOKTools_IndexedMapOfHAsciiString::FindNodeFromKey | ( | const Handle(TCollection_HAsciiString)& | K | ) | const`[private]`

void WOKTools_IndexedMapOfHAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKTools_IndexedMapOfHAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKTools_IndexedMapOfHAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

const Handle_TCollection_HAsciiString& WOKTools_IndexedMapOfHAsciiString::operator() | ( | const Standard_Integer | I | ) | const`[inline]`

WOKTools_IndexedMapOfHAsciiString& WOKTools_IndexedMapOfHAsciiString::operator= | ( | const WOKTools_IndexedMapOfHAsciiString & | Other | ) | `[inline]`

Standard_EXPORT void WOKTools_IndexedMapOfHAsciiString::RemoveLast | ( |  | ) |

Standard_EXPORT void WOKTools_IndexedMapOfHAsciiString::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT void WOKTools_IndexedMapOfHAsciiString::Substitute | ( | const Standard_Integer | I,
|  | const Handle(TCollection_HAsciiString)& | K
| ) |

The documentation for this class was generated from the following file:

- WOKTools_IndexedMapOfHAsciiString.hxx